Package org.eclipse.team.core.diff

## Class DiffFilter

- java.lang.Object
- - org.eclipse.team.core.diff.DiffFilter

Direct Known Subclasses:
  `FastDiffFilter`

    public abstract class DiffFilter
    extends Object

A `DiffNodeFilter` tests an `IDiff` for inclusion, typically in an `IDiffTree`.

Since:
  3.2
See Also:
  `IDiff`, `IDiffTree`

### Constructor Summary

Constructors
`DiffFilter()`

### Method Summary

All Methods Instance Methods Abstract Methods
`abstract boolean` `select​(IDiff diff, IProgressMonitor monitor)` Return `true` if the provided `IDiffNode` matches the filter.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DiffFilter

    public DiffFilter()

### Method Detail

#### select

    public abstract boolean select​(IDiff diff,
                                   IProgressMonitor monitor)

Return `true` if the provided `IDiffNode` matches the filter.

Parameters:
  `diff` - the `IDiffNode` to be tested
  `monitor` - a progress monitor
Returns:
  `true` if the `IDiffNode` matches the filter